Bug 224555 - NFS crashes the kernel, usually without any information
NFS crashes the kernel, usually without any information
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://users.camk.edu.pl/chris/fc5-bu...
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-26 08:53 EST by Krzysio (Chris) Leszczynski
Modified: 2008-05-06 15:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysio (Chris) Leszczynski 2007-01-26 08:53:03 EST
Description of problem:
The whole machine crashes 30 secs after nfsd is started.
Usually it produces no results, just hangs. We tried to
attach console on RS-232, but it didn't put anything useful
before the crash. 

We found the client machine that crashes it and firewalled-it-out
from the server. Then the server works perfectly but crashes within
15-90 seconds if the selected machine is allowed to connect.
The client machine doesn't run any suspicious processes.

Before reporting the bug we have change the machine (moving only
harddisk) so I don't think it's a hardware problem.

Version-Release number of selected component (if applicable):
   kernel-smp-2.6.18-1.2257.fc5
   nfs-utils-1.0.8-4.fc5
(the server has all other components yummed up to the latest version
of FC5).

How reproducible:
Always. We have Fedora Core 5 server with about 100 NFS clients (all fedoras).
Previously we had RH70,7.3,9,FC2. It worked perfectly. Now it started crashing
every minute (unless nfsd is stopped).

Steps to Reproduce:
1. Just start NFS server
  
Additional info:
  Today it showed something on the screen. We took a photograph with bug
  report
  I put 2 photographs here: http://users.camk.edu.pl/chris/fc5-bug-2007-01-26/
  Sorry for bugging you with photographs but we were unable to capture this
  information otherwise. Usually the kernel hanged without even this things
The partial text reads:
[<53565751>] <0> BUG: spinlock lockup on CPU#0, rpc.rquotad/2494, c0677a34 (Not
tainted

We tried to use kernel-kdump but it still hanged the whole machine.
Comment 1 Krzysio (Chris) Leszczynski 2007-01-26 10:14:27 EST
Also tried to compile and run vanilla kernel without Fedora patches. The result
was same.
Comment 2 Bug Zapper 2008-04-04 01:45:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:06:17 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.